/*
 * Copyright (c) 2020 RTSoft. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @file ftosdep.h
 * @brief OS dependent macros
 */

#ifndef FTINC_FTOSDEP_H_
#define FTINC_FTOSDEP_H_

/* Defines */

#define OS_LOCK(mutex) xSemaphoreTake(mutex, portMAX_DELAY) /*!< wait semaphore */
#define OS_UNLOCK(mutex) xSemaphoreGive(mutex)              /*!< wakeup semaphore */
#define OS_MUTEX(mutex) SemaphoreHandle_t mutex             /*!< RTOS semaphore handle */

#endif /* FTINC_FTOSDEP_H_ */
