/*
 * Copyright (c) 2020 RTSoft. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @defgroup Firmware_Implementation_Includes
 * @{
 */

/**
 * @file HWLoop.h
 * @brief Common procedures for I1-I8 events interrupt procesing
 */

#ifndef INC_HWLOOP_H_
#define INC_HWLOOP_H_

#include "ftimpltypes.h"

/**
 * @addtogroup Hardware_Includes
 * @{
 */

/* Exported functions */

/**
 * @brief Main procedure for I1-I8 inputs, start new cycle and process values
 * @param values buffer for new values
 * @param inputs configuration for I1-I8
 */
void HWLoop(ftvalues *values, struct ft_inputs_config *inputs);

#endif /* INC_HWLOOP_H_ */

/** @} */

/** @} */
