/*
 * Copyright (c) 2020 RTSoft. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @defgroup Firmware_Implementation_Includes
 * @{
 */
/**
 * @file HWServo.h
 * @brief Servo specific procedures
 */

#ifndef INC_HWSERVO_H_
#define INC_HWSERVO_H_

#include <stdint.h>

/**
 * @addtogroup Hardware_Includes
 * @{
 */

/**
 * @brief S1-S3 servo initialization procedure
 */
void HWServo_Init();

/**
 * @brief Servo set duty procedure
 * @param n servo number 0-2
 * @param duty new duty value 0-512
 */
void HWServo_SetDuty(unsigned int n, uint16_t duty);

#endif /* INC_HWSERVO_H_ */

/** @} */

/** @} */
