/*
 * Copyright (c) 2020 RTSoft. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @defgroup Firmware_Implementation_Includes
 * @{
 */

/**
 * @file ftconfig.h
 * @brief Common project defines
 */

/**
 * @addtogroup Configuration_Defines
 * @{
 */

#ifndef INC_FTCONFIG_H_
#define INC_FTCONFIG_H_

/* Defines */

#define FT_DEBUG_A7_RECEIVE  1	/*!< switch on input values debug */
#define FT_DEBUG_A7_MAP      2	/*!< switch on shared memory mapping debug */
#define FT_DEBUG_A7_INFO     4	/*!< switch on TXT info debug */
#define FT_DEBUG_A7_CONFIG   8	/*!< switch on TXT config response debug */
#define FT_DEBUG_A7_OP      16	/*!< switch on some TXT op debug */
#define FT_DEBUG_A7_CONVERT	32	/*!< switch on voltage-resistance debug */
#define FT_DEBUG_A7_TRANSPORT 64	/*!< switch on minimal A7-M4 transport debug */

#define FT_DEBUG_ALL     (FT_DEBUG_A7_RECEIVE | FT_DEBUG_A7_MAP \
		| FT_DEBUG_A7_INFO | FT_DEBUG_A7_CONFIG | FT_DEBUG_A7_OP | FT_DEBUG_A7_CONVERT \
		| FT_DEBUG_A7_TRANSPORT)	/*!< switch on all available library debug flags */

/* Versions */
#define FT_M4_VERSION  TXT2_BOARD_REVISION	/*!< Board revision rev0-rev1 */
#define FT_M4_FIRMWARE 0x00000500			/*!< Current firmware revision */

#endif /* INC_FTCONFIG_H_ */

/** @} */

/** @} */
